## Eingabe

In der Eingabe stehen an mehreren Stellen Kontaktdaten:

Der `gmd:contact` ist durch die E-Mail-Adresse `email1@lkn.landsh.de` zu erkennen.

```xml
<gmd:contact>
    <gmd:CI_ResponsibleParty uuid="8ac62792-18cc-8743-0119-57923bb80004">
      <gmd:organisationName><gco:CharacterString>Landesbetrieb für Küstenschutz, Nationalpark und Meeresschutz Schleswig-Holstein</gco:CharacterString></gmd:organisationName>
      <gmd:contactInfo>
        <gmd:CI_Contact>
          <gmd:address>
            <gmd:CI_Address>
              <gmd:electronicMailAddress><gco:CharacterString>email1@lkn.landsh.de</gco:CharacterString></gmd:electronicMailAddress>
            </gmd:CI_Address>
          </gmd:address>
          <gmd:hoursOfService><gco:CharacterString>Mo-Do 9:00-12:00 u. 14:00-16:00; Fr 9:00-12:00</gco:CharacterString></gmd:hoursOfService>
        </gmd:CI_Contact>
      </gmd:contactInfo>
      <gmd:role>
        <gmd:CI_RoleCode codeList="http://standards.iso.org/iso/19139/resources/gmxCodelists.xml#CI_RoleCode" codeListValue="pointOfContact" />
      </gmd:role>
    </gmd:CI_ResponsibleParty>
  </gmd:contact>
```

Daneben gibt es drei `gmd:pointOfContact` mit den Typen

- `originator`
- `publisher`
- `pointOfContact`


*originator* und *publisher*  sind identisch. Sie sind zu erkennen am Namen, der mit `LKN` beginnt und 
der E-Mail-Adresse `nationalpark@lkn.landsh.de`.

```xml
      <gmd:pointOfContact>
        <gmd:CI_ResponsibleParty uuid="03a5391b-4ec2-45a3-b455-8fe78d82f5cf">
          <gmd:organisationName><gco:CharacterString>LKN, Nationalparkverwaltung schleswig-holsteinisches Wattenmeer</gco:CharacterString></gmd:organisationName>
          <gmd:contactInfo>
            <gmd:CI_Contact>
              <gmd:phone>
                <gmd:CI_Telephone>
                  <gmd:voice><gco:CharacterString>048616160</gco:CharacterString></gmd:voice>
                  <gmd:facsimile><gco:CharacterString>0486161669</gco:CharacterString></gmd:facsimile>
                </gmd:CI_Telephone>
              </gmd:phone>
              <gmd:address>
                <gmd:CI_Address>
                  <gmd:deliveryPoint><gco:CharacterString>Schlossgarten 1</gco:CharacterString></gmd:deliveryPoint>
                  <gmd:city><gco:CharacterString>Tönning</gco:CharacterString></gmd:city>
                  <gmd:postalCode><gco:CharacterString>25832</gco:CharacterString></gmd:postalCode>
                  <gmd:electronicMailAddress><gco:CharacterString>nationalpark@lkn.landsh.de</gco:CharacterString></gmd:electronicMailAddress>
                </gmd:CI_Address>
              </gmd:address>
            </gmd:CI_Contact>
          </gmd:contactInfo>
          <gmd:role>
            <gmd:CI_RoleCode codeList="http://standards.iso.org/iso/19139/resources/gmxCodelists.xml#CI_RoleCode" codeListValue="originator" />
          </gmd:role>
        </gmd:CI_ResponsibleParty>
      </gmd:pointOfContact>
```

```xml
      <gmd:pointOfContact>
        <gmd:CI_ResponsibleParty uuid="03a5391b-4ec2-45a3-b455-8fe78d82f5cf">
          <gmd:organisationName><gco:CharacterString>LKN, Nationalparkverwaltung schleswig-holsteinisches Wattenmeer</gco:CharacterString></gmd:organisationName>
          <gmd:contactInfo>
            <gmd:CI_Contact>
              <gmd:phone>
                <gmd:CI_Telephone>
                  <gmd:voice><gco:CharacterString>048616160</gco:CharacterString></gmd:voice>
                  <gmd:facsimile><gco:CharacterString>0486161669</gco:CharacterString></gmd:facsimile>
                </gmd:CI_Telephone>
              </gmd:phone>
              <gmd:address>
                <gmd:CI_Address>
                  <gmd:deliveryPoint><gco:CharacterString>Schlossgarten 1</gco:CharacterString></gmd:deliveryPoint>
                  <gmd:city><gco:CharacterString>Tönning</gco:CharacterString></gmd:city>
                  <gmd:postalCode><gco:CharacterString>25832</gco:CharacterString></gmd:postalCode>
                  <gmd:electronicMailAddress><gco:CharacterString>nationalpark@lkn.landsh.de</gco:CharacterString></gmd:electronicMailAddress>
                </gmd:CI_Address>
              </gmd:address>
            </gmd:CI_Contact>
          </gmd:contactInfo>
          <gmd:role>
            <gmd:CI_RoleCode codeList="http://standards.iso.org/iso/19139/resources/gmxCodelists.xml#CI_RoleCode" codeListValue="publisher" />
          </gmd:role>
        </gmd:CI_ResponsibleParty>
      </gmd:pointOfContact>
```

Der *pointOfContact* fällt durch die E-Mail-Adresse `email2@landsh.de` auf. 

```xml
      <gmd:pointOfContact>
        <gmd:CI_ResponsibleParty uuid="8ac62792-18cc-8743-0119-57923bb80004">
          <gmd:individualName><gco:CharacterString>J. K.</gco:CharacterString></gmd:individualName>
          <gmd:organisationName><gco:CharacterString>Landesbetrieb für Küstenschutz, Nationalpark und Meeresschutz Schleswig-Holstein</gco:CharacterString></gmd:organisationName>
          <gmd:positionName><gco:CharacterString>Geodaten, Fernerkundung, Datennetzwerke</gco:CharacterString></gmd:positionName>
          <gmd:contactInfo>
            <gmd:CI_Contact>
              <gmd:phone>
                <gmd:CI_Telephone>
                  <gmd:voice><gco:CharacterString>+49 (0)4861 616-46</gco:CharacterString></gmd:voice>
                  <gmd:facsimile><gco:CharacterString>+49 (0)4861 616-69</gco:CharacterString></gmd:facsimile>
                </gmd:CI_Telephone>
              </gmd:phone>
              <gmd:address>
                <gmd:CI_Address>
                  <gmd:deliveryPoint><gco:CharacterString>Schlossgarten 1</gco:CharacterString></gmd:deliveryPoint>
                  <gmd:city><gco:CharacterString>Tönning</gco:CharacterString></gmd:city>
                  <gmd:postalCode><gco:CharacterString>25832</gco:CharacterString></gmd:postalCode>
                  <gmd:electronicMailAddress><gco:CharacterString>email2@landsh.de</gco:CharacterString></gmd:electronicMailAddress>
                </gmd:CI_Address>
              </gmd:address>
              <gmd:onlineResource>
                <gmd:CI_OnlineResource>
                  <gmd:linkage><gmd:URL>http://www.wattenmeer-nationalparke.de/sh</gmd:URL></gmd:linkage>
                </gmd:CI_OnlineResource>
              </gmd:onlineResource>
              <gmd:hoursOfService><gco:CharacterString>Mo-Do 9:00-12:00 u. 14:00-16:00; Fr 9:00-12:00</gco:CharacterString></gmd:hoursOfService>
            </gmd:CI_Contact>
          </gmd:contactInfo>
          <gmd:role>
            <gmd:CI_RoleCode codeList="http://standards.iso.org/iso/19139/resources/gmxCodelists.xml#CI_RoleCode" codeListValue="pointOfContact" />
          </gmd:role>
        </gmd:CI_ResponsibleParty>
      </gmd:pointOfContact>
```

## Ausgabe der GDI-DE Bridge

Die GDI-DE Bridge gibt genau einen `contactPoint` und einen `publisher` aus:

```xml
  <dcat:contactPoint>
    <rdf:Description>
      <rdf:type rdf:resource="http://www.w3.org/2006/vcard/ns#Organization"></rdf:type>
      <vcard:fn>Landesbetrieb für Küstenschutz, Nationalpark und Meeresschutz Schleswig-Holstein</vcard:fn>
      <vcard:hasEmail rdf:resource="mailto:email2@landsh.de"></vcard:hasEmail>
      <vcard:hasTelephone rdf:parseType="Resource">
        <vcard:hasValue rdf:resource="tel:+4904861616-46"></vcard:hasValue>
        <rdf:type rdf:resource="http://www.w3.org/2006/vcard/ns#Voice"></rdf:type>
      </vcard:hasTelephone>
      <vcard:hasURL rdf:resource="http://www.wattenmeer-nationalparke.de/sh"></vcard:hasURL>
      <vcard:hasAddress>
        <vcard:Address>
          <vcard:street-address>Schlossgarten 1</vcard:street-address>
          <vcard:locality>Tönning</vcard:locality>
          <vcard:postal-code>25832</vcard:postal-code>
        </vcard:Address>
      </vcard:hasAddress>
    </rdf:Description>
  </dcat:contactPoint>
```

```xml
  <dct:publisher>
    <rdf:Description>
      <rdf:type rdf:resource="http://xmlns.com/foaf/0.1/Organization"></rdf:type>
      <foaf:name>LKN, Nationalparkverwaltung schleswig-holsteinisches Wattenmeer</foaf:name>
      <foaf:mbox rdf:resource="mailto:nationalpark@lkn.landsh.de"></foaf:mbox>
      <foaf:phone rdf:resource="tel:+048616160"></foaf:phone>
      <locn:address>
        <locn:Address>
          <locn:thoroughfare>Schlossgarten 1</locn:thoroughfare>
          <locn:postName>Tönning</locn:postName>
          <locn:postCode>25832</locn:postCode>
        </locn:Address>
      </locn:address>
    </rdf:Description>
  </dct:publisher>
```

Offenbar wird der `<gmd:contact>` (E-Mail-Adresse `email1@lkn.landsh.de`) ignoriert.