# Details zu Einstellungen

## BRIDGE_FIND_WMS_IN_INFO

Normalerweise werden *Distributionen* nur aus den Online-Resourcen gebildet, die `gmd:function = download` haben. 

Daher würde für diesen Datensatz *keine* Distribution erzeugt:

```xml
<gmd:transferOptions>
  <gmd:MD_DigitalTransferOptions>
    <gmd:onLine>
      <gmd:CI_OnlineResource>
        <gmd:linkage>
          <gmd:URL>https://www.schleswig-holstein.de/DE/Landesregierung/LVERMGEOSH/Service/serviceGeobasisdaten/geodatenService_Ge
obasisdaten_DOP.html</gmd:URL>
        </gmd:linkage>
        <gmd:function>
          <gmd:CI_OnLineFunctionCode codeList="https://standards.iso.org/iso/19139/resources/gmxCodelists.xml#CI_OnlineFunctionCode" codeListValue="information"/>
        </gmd:function>
      </gmd:CI_OnlineResource>
    </gmd:onLine>
  </gmd:MD_DigitalTransferOptions>
</gmd:transferOptions>

```

Es gibt aber auch Datensätze, bei denen in einer `information` Resource ein Link auf einen WMS angegeben ist:

```xml
<gmd:transferOptions>
  <gmd:MD_DigitalTransferOptions>
    <gmd:onLine>
      <gmd:CI_OnlineResource>
        <gmd:linkage>
          <gmd:URL>https://geodienste.komm.one/ows/services/org.250.b7ac18ab-368c-4a66-baf6-370fecb90983_wfs?SERVICE=WFS&amp;Request=GetCapabilities</gmd:URL>
        </gmd:linkage>
        <gmd:function>
          <gmd:CI_OnLineFunctionCode codeList="https://standards.iso.org/iso/19139/resources/gmxCodelists.xml#CI_OnLineFunctionCode" codeListValue="download">download</gmd:CI_OnL
ineFunctionCode>
        </gmd:function>
      </gmd:CI_OnlineResource>
    </gmd:onLine>
  </gmd:MD_DigitalTransferOptions>
</gmd:transferOptions>
<gmd:transferOptions>
  <gmd:MD_DigitalTransferOptions>
    <gmd:onLine>
      <gmd:CI_OnlineResource>
        <gmd:linkage>
          <gmd:URL>https://geodienste.komm.one/ows/services/org.250.b7ac18ab-368c-4a66-baf6-370fecb90983_wms?SERVICE=WMS&amp;Request=GetCapabilities</gmd:URL>
        </gmd:linkage>
        <gmd:function>
          <gmd:CI_OnLineFunctionCode codeList="https://standards.iso.org/iso/19139/resources/gmxCodelists.xml#CI_OnLineFunctionCode" codeListValue="information">information</gmd:CI_OnLineFunctionCode>
        </gmd:function>
      </gmd:CI_OnlineResource>
    </gmd:onLine>
  </gmd:MD_DigitalTransferOptions>
</gmd:transferOptions>
```

Setzt man die Umgebungsvariable `BRIDGE_FIND_WMS_IN_INFO` (bzw `BRIDGE_n_FIND_WMS_IN_INFO` im Falle mehrerer Brücken), so wird auch in den Resourcen mit `gmd:function = information` nach WMS gesucht. Es muss `service=wms` und `request=GetCapabilities` (case-insensitive) in der Adresse vorkommen.


