package de.landsh.opendata.csw2dcat;

import org.apache.commons.lang3.StringUtils;
import org.apache.jena.datatypes.xsd.XSDDatatype;
import org.apache.jena.rdf.model.Literal;

import java.time.LocalDate;

public class RDFUtils {

    /**
     * Convert a literal of type XSDdate or XSDdateTime into a LocalDate.
     */
    public static LocalDate literalToDate(Literal literal) {

        if (literal == null) {
            return null;
        }

        String dateString;
        if (XSDDatatype.XSDdate.equals(literal.getDatatype()) || XSDDatatype.XSDdateTime.equals(literal.getDatatype())) {
            dateString = StringUtils.substring(literal.getString(), 0,10);
        } else {
            throw new IllegalArgumentException("Unknown datatype for a date: " + literal.getDatatypeURI());
        }

        return LocalDate.parse(dateString);
    }
}