package de.landsh.opendata.csw2dcat.vocabulary;

import org.apache.jena.rdf.model.Model;
import org.apache.jena.rdf.model.ModelFactory;
import org.apache.jena.rdf.model.Property;
import org.apache.jena.rdf.model.Resource;

public class DCATAP {
    public static final String NS = "http://data.europa.eu/r5r/";
    public static final Resource NAMESPACE;
    public static final Property applicableLegislation;
    public static final Property hvdCategory;

    private static final Model m_model = ModelFactory.createDefaultModel();

    static {
        NAMESPACE = m_model.createResource(NS);
        applicableLegislation = m_model.createProperty(NS, "applicableLegislation");
        hvdCategory = m_model.createProperty(NS, "hvdCategory");
    }

    private DCATAP() {
    }

    public static String getURI() {
        return NS;
    }
}
