package de.landsh.opendata.csw2dcat.vocabulary;

import org.apache.jena.rdf.model.Model;
import org.apache.jena.rdf.model.ModelFactory;
import org.apache.jena.rdf.model.Property;
import org.apache.jena.rdf.model.Resource;

public class Hydra {
    public static final String NS = "http://www.w3.org/ns/hydra/core#";
    public static final Resource NAMESPACE;
    public static final Resource PagedCollection;
    public static final Property itemsPerPage;
    public static final Property totalItems;
    public static final Property firstPage;
    public static final Property nextPage;
    public static final Property previousPage;
    public static final Property lastPage;
    private static final Model m_model = ModelFactory.createDefaultModel();

    static {
        NAMESPACE = m_model.createResource(NS);
        itemsPerPage = m_model.createProperty(NS, "itemsPerPage");
        totalItems = m_model.createProperty(NS, "totalItems");
        firstPage = m_model.createProperty(NS, "firstPage");
        nextPage = m_model.createProperty(NS, "nextPage");
        lastPage = m_model.createProperty(NS, "lastPage");
        previousPage = m_model.createProperty(NS, "previousPage");
        PagedCollection  = m_model.createResource(NS+"PagedCollection");
    }

    private Hydra() {
    }

    public static String getURI() {
        return NS;
    }
}
