package de.landsh.opendata.csw2dcat.vocabulary;

import org.apache.jena.rdf.model.Model;
import org.apache.jena.rdf.model.ModelFactory;
import org.apache.jena.rdf.model.Property;
import org.apache.jena.rdf.model.Resource;

public class Locn {
    public static final String NS = "http://www.w3.org/ns/locn#";
    public static final Resource NAMESPACE;
    public static final Property geometry;
    public static final Resource Address;
    public static final Property thoroughfare;
    public static final Property postName;
    public static final Property postCode;
    public static final Property adminUnitL2;
    public static final Property adminUnitL1;
    public static final Property address;

    private static final Model m_model = ModelFactory.createDefaultModel();

    static {
        NAMESPACE = m_model.createResource(NS);
        geometry = m_model.createProperty(NS, "geometry");
        Address = m_model.createResource(NS + "Address");
        thoroughfare = m_model.createProperty(NS, "thoroughfare");
        postName = m_model.createProperty(NS, "postName");
        postCode = m_model.createProperty(NS, "postCode");
        adminUnitL2 = m_model.createProperty(NS, "adminUnitL2");
        adminUnitL1 = m_model.createProperty(NS, "adminUnitL1");
        address = m_model.createProperty(NS, "address");

    }

    private Locn() {
    }

    public static String getURI() {
        return NS;
    }
}
