package de.landsh.opendata.csw2dcat;

import org.apache.jena.rdf.model.Model;
import org.apache.jena.rdf.model.ModelFactory;
import org.junit.jupiter.api.Test;

import java.time.LocalDate;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.junit.jupiter.api.Assertions.assertNull;

class RDFUtilsTest {
    final Model model = ModelFactory.createDefaultModel();

    @Test
    void literalToDate_null() {
        assertNull(RDFUtils.literalToDate(null));
    }

    @Test
    void literalToDate_date() {
        assertEquals(
                LocalDate.of(2023, 7, 22),
                RDFUtils.literalToDate(model.createTypedLiteral("2023-07-22", "http://www.w3.org/2001/XMLSchema#date")));
    }

    @Test
    void literalToDate_dateTime() {
        assertEquals(
                LocalDate.of(2020, 7, 14),
                RDFUtils.literalToDate(model.createTypedLiteral("2020-07-14T12:17:01.654617", "http://www.w3.org/2001/XMLSchema#dateTime")));
    }
}